import { OnInit } from '@angular/core';
import { FormDisabledDirective } from '../form-disabled.directive';
import { Icon, IconSize } from '../../icon/icon.component';
import * as i0 from "@angular/core";
export declare const buttonColors: readonly ["primary", "warning", "critical", "contrast-40"];
export declare type ButtonColor = typeof buttonColors[number];
export declare const buttonSizes: readonly ["l", "m", "s", "xs"];
export declare type ButtonSize = typeof buttonSizes[number];
export declare class ButtonComponent implements OnInit {
    private formDisabled;
    color: ButtonColor;
    size: ButtonSize;
    icon: Icon;
    iconRight: Icon;
    disabled: boolean;
    loading: boolean;
    filled: boolean;
    constructor(formDisabled: FormDisabledDirective);
    set setDisabled(value: boolean);
    set setLoading(value: boolean);
    set setFilled(value: boolean);
    ngOnInit(): void;
    get viewDisabled(): true;
    get iconSize(): IconSize;
    get iconStroke(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "[ui-button], [ui-button-outline], [ui-button-ghost]", never, { "color": "color"; "size": "size"; "icon": "icon"; "iconRight": "iconRight"; "setDisabled": "disabled"; "setLoading": "loading"; "setFilled": "filled"; }, {}, never, ["*"]>;
}
